#if defined(__linux__)
#if defined(__mips__)

/*
 * Use Linux system call.
 */

#define SYS_exit   1
#define SYS_read   3
#define SYS_write  4
#define SYS_open   5
#define SYS_close  6
#define SYS_ioctl 54

	.section .text

	.globl	___exit
	.type	___exit, %function
___exit:
	li	$v0, SYS_exit
	syscall
	jr	$ra
	nop

	.globl	__read
	.type	__read, %function
__read:
	li	$v0, SYS_read
	syscall
	jr	$ra
	nop

	.globl	__write
	.type	__write, %function
__write:
	li	$v0, SYS_write
	syscall
	jr	$ra
	nop

	.globl	__open
	.type	__open, %function
__open:
	li	$v0, SYS_open
	syscall
	jr	$ra
	nop

	.globl	__close
	.type	__close, %function
__close:
	li	$v0, SYS_close
	syscall
	jr	$ra
	nop

	.globl	__ioctl
	.type	__ioctl, %function
__ioctl:
	li	$v0, SYS_ioctl
	syscall
	jr	$ra
	nop
#endif
#endif
