#if defined(__linux__)
#if defined(__sh__)

/*
 * Use Linux system call.
 */

#define SYS_exit   1
#define SYS_read   3
#define SYS_write  4
#define SYS_open   5
#define SYS_close  6
#define SYS_ioctl 54

	.section .text

	.globl	____exit
	.type	____exit, %function
____exit:
	mov	#SYS_exit, r3
	trapa	#0x17
	rts
	nop

	.globl	___read
	.type	___read, %function
___read:
	mov	#SYS_read, r3
	trapa	#0x17
	rts
	nop

	.globl	___write
	.type	___write, %function
___write:
	mov	#SYS_write, r3
	trapa	#0x17
	rts
	nop

	.globl	___open
	.type	___open, %function
___open:
	mov	#SYS_open, r3
	trapa	#0x17
	rts
	nop

	.globl	___close
	.type	___close, %function
___close:
	mov	#SYS_close, r3
	trapa	#0x17
	rts
	nop

	.globl	___ioctl
	.type	___ioctl, %function
___ioctl:
	mov	#SYS_ioctl, r3
	trapa	#0x17
	rts
	nop
#endif
#endif
